package util.sqlparse.visitor.common.bean;

public enum StatementType {
   select(10001),
   insert(10002),
   update(10003),
   delete(10004),
   replace(10005),
   merge(10007),
   truncate(10008),
   loadXml(10009),
   loadData(10010),
   callProc(10011),
   createView(20001),
   alterView(20002),
   dropView(20003),
   createTable(20011),
   alterTable(20012),
   dropTable(20013),
   renameTable(20014),
   createIndex(20031),
   alterIndex(20032),
   dropIndex(20033),
   createFunction(20041),
   alterFunction(20042),
   dropFunction(20043),
   createProc(20051),
   alterProc(20052),
   dropProc(20053),
   createTrigger(20061),
   dropTrigger(20063),
   alterTrigger(20065),
   createEvent(20071),
   alterEvent(20072),
   dropEvent(20073),
   createSequence(20081),
   alterSequence(20082),
   dropSequence(20083),
   grant(30001),
   revoke(30002),
   analyze(30003),
   checkTable(30004),
   checkSumTable(30005),
   optimize(30006),
   repairTable(30007),
   showColumn(30008),
   showCreateTable(30009),
   showIndex(30010),
   showOpenTables(30011),
   flush(30012),
   loadIndexIntoCache(30013),
   cacheIndex(30014),
   showTables(30015),
   createSchema(31001),
   createSynonym(31011),
   createUser(31021),
   dropUser(31022),
   executeImmediate(31031),
   lockTable(31041),
   print(31051),
   set(31061),
   explain(31071),
   block(31081),
   createPackage(31091),
   other(99999);

   private int code;

   public int getCode() {
      return this.code;
   }

   private StatementType(int code) {
      this.code = code;
   }
}
